package com.ruoyi.traceability.mapper;

import java.util.List;
import com.ruoyi.traceability.domain.ProReadrecord;

/**
 * 读取记录Mapper接口
 * 
 * @author wenjy
 * @date 2022-11-09
 */
public interface ProReadrecordMapper 
{
    /**
     * 查询读取记录
     * 
     * @param id 读取记录主键
     * @return 读取记录
     */
    public ProReadrecord selectProReadrecordById(Long id);

    /**
     * 查询读取记录列表
     * 
     * @param proReadrecord 读取记录
     * @return 读取记录集合
     */
    public List<ProReadrecord> selectProReadrecordList(ProReadrecord proReadrecord);

    /**
     * 新增读取记录
     * 
     * @param proReadrecord 读取记录
     * @return 结果
     */
    public int insertProReadrecord(ProReadrecord proReadrecord);

    /**
     * 修改读取记录
     * 
     * @param proReadrecord 读取记录
     * @return 结果
     */
    public int updateProReadrecord(ProReadrecord proReadrecord);

    /**
     * 删除读取记录
     * 
     * @param id 读取记录主键
     * @return 结果
     */
    public int deleteProReadrecordById(Long id);

    /**
     * 批量删除读取记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProReadrecordByIds(String[] ids);
}
